Inhalte

# Funktion Left

Gibt vom Anfang der Zeichenfolge beginnend eine festgelegte Anzahl von Zeichen aus einer Zeichenfolge zurück.

### Syntax:

    Left (Zeichenfolge As String, Länge As Long) As String

### Rückgabetyp:

String

### Parameter:

Zeichenfolge: Beliebige Zeichenfolge, deren Zeichen ganz links zurückgegeben werden sollen.

Länge: Numerischer Ausdruck, der die Anzahl der Zeichen festlegt, die zurückgeben werden sollen. Wenn Länge = 0, wird eine Zeichenfolge mit der Länge Null zurückgegeben. Der maximal zulässige Wert beträgt 2.147.483.648.

Das folgende Beispiel wandelt ein Datum im Format JJJJ.MM.TT in das Format MM/TT/JJJJ um.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("Geben Sie bitte ein Datum im englischen Format MM-DD-YYYY ein")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub

Verwandte Themen

Zeichenfolgenfunktionen

Bitte unterstützen Sie uns!